#!/usr/local/bin/perl 

# Copyright 1997 Vectaport Inc.
# Copyright 1996 Cider Press
# Copyright 1994-1996 Vectaport Inc.
#
# This file is part of ivmkcm.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#####################################################################################

# cmmtchkin - check in an empty module to the repository

#####################################################################################

$synopsis = "cmmtchkin module repository";

#resolve CVSROOT

if ($#ARGV == -1) {
    print "Incorrect usage\n";
    print "Usage: $synopsis\n";

} elsif ($#ARGV == 0) {
    print "Incorrect usage\n";
    print "Usage: $synopsis\n";

} elsif ($#ARGV == 1) {
    if (-d $ARGV[1]) {
	if (-d "./CVS") {
	    print "./CVS directory already exists!\n";
	} else {
	    mkdir("./$ARGV[0]",755); chmod 0755, "./$ARGV[0]";
            chdir("./$ARGV[0]");
            system("cmchkin $ARGV[0] $ARGV[1]");
            chdir "..";
            rename("$ARGV[0]/CVS", "./CVS");
            rmdir("./$ARGV[0]");
	}
    } else {
        print "Cannot access $ARGV[1]: No such file or directory\n";
    }

} else {
    print "Incorrect usage\n";
    print "Usage: $synopsis\n";
}
